# Elfo Front-End Tech Interview Test

The aim of the test is to develop a mini-application for managing TODO tasks. Using your application we must be able to create, modify and delete a task.

A really simple server has been implemented with Express. It offers the minimum of expected functionalities (get the list of tasks, update a task, delete a task, save a task). However this server is not perfect. It could be improved and tested as well.

Your mission is to develop the front-end from scratch using a front-end framework(React & Redux). We are also expecting from you a usable, responsive UI.

## Process

Please clone this project then create your own repository from it. Do not fork/branch this project when creating your solution as it will be visible to other applicants. Once your code is ready, please send us the link of your repository and we will review it.

## Requirements

- React 16+
- Good state management
- Modular CSS
- Responsive design
- Linting
- Unit tests

## Bonus

- Integration/E2E tests
- Automated deployment
- Storybook
- Impress us!
